创建会话
curl --request POST \
--url https://api.moonshot.cn/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "agent_01h455vb4pex5vsknk084sn02q",
"environment_id": "env_01h455vb4pex5vsknk084sn02q"
}
'import requests
url = "https://api.moonshot.cn/v1/sessions"
payload = {
"agent_id": "agent_01h455vb4pex5vsknk084sn02q",
"environment_id": "env_01h455vb4pex5vsknk084sn02q"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 'agent_01h455vb4pex5vsknk084sn02q',
environment_id: 'env_01h455vb4pex5vsknk084sn02q'
})
};
fetch('https://api.moonshot.cn/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sesn_01h455vb4pex5vsknk084sn02q",
"agent_id": "agent_01h455vb4pex5vsknk084sn02q",
"environment_id": "env_01h455vb4pex5vsknk084sn02q",
"status": "idle",
"title": "示例会话",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}创建运行选定智能体版本的会话,初始状态为 idle。
- 未提供
agent_version时,将冻结最新可用的智能体版本,并固定环境最新构建就绪的版本。此后对二者的更新都不会改变此会话。 - 凭据库(Vault)与记忆库的绑定仅在创建时生效(最多 16 个凭据库和 8 个记忆库)。文件可以稍后添加。
- 使用
POST /v1/sessions/{id}/events发送第一条消息以开始任务。
POST
/
v1
/
sessions
创建会话
请求头
可选的幂等键。相同的键与请求体会在 24 小时内重放首个响应;以不同的请求体复用,或在首个请求仍在处理时复用,返回 409。
请求体
application/json
创建会话的请求体。仅 agent_id 与 environment_id 必填。
要运行的智能体。
Pattern:
^agent_[0-9a-hjkmnp-tv-z]{26}$会话使用的环境。其最新构建就绪的版本会在会话的整个生命周期内固定。环境必须可见、活跃且具有构建就绪的版本。
Maximum string length:
128Pattern:
^env_[0-9a-hjkmnp-tv-z]{26}$可选的精确智能体版本("1"、"2"……)。默认为创建时的最新版本。
Maximum string length:
128可选的人类可读标题。
Maximum string length:
256用户自定义元数据(最多 16 条)。
Show child attributes
Show child attributes
创建时要绑定的资源:文件、凭据库(Vault)和记忆库。每个会话最多包含 16 个凭据库和 8 个记忆库,它们的绑定在创建后不能再添加或替换。
作为资源绑定到会话的文件。
- 文件
- 凭据库
- 记忆库
Show child attributes
Show child attributes
自创建起生效的会话级智能体配置覆盖。
Show child attributes
Show child attributes
响应
已创建的会话(idle),携带其资源绑定与智能体快照。
带版本智能体配置的一个运行实例。
会话 ID。
Pattern:
^sesn_[0-9a-hjkmnp-tv-z]{26}$此会话运行的智能体。
Pattern:
^agent_[0-9a-hjkmnp-tv-z]{26}$托管此会话的环境。
Pattern:
^env_[0-9a-hjkmnp-tv-z]{26}$当前生命周期状态。
可用选项:
idle, running, terminated 创建时间戳。
最后更新时间戳。
人类可读的标题。
用户自定义元数据(最多 16 条)。
Show child attributes
Show child attributes
会话级智能体配置覆盖。未存储任何覆盖时不存在。
Show child attributes
Show child attributes
归档时间戳。活跃期间不存在。
绑定到此会话的资源。在 GET /v1/sessions 的列表项中省略。
作为资源绑定到会话的文件。
- 文件
- 凭据库
- 记忆库
Show child attributes
Show child attributes
协调者线程使用的智能体版本快照。
Show child attributes
Show child attributes
此页面对您有帮助吗?